#!/bin/sh

mtdinfo -u /dev/mtd20 1> mtdinfo.log

dmesg -c 1> /dev/null

# enable ubifs dynamic kernel debugging
echo 'module ubifs +pf' > /sys/kernel/debug/dynamic_debug/control

# prepare ubi device with empty ubifs
ubiformat /dev/mtd20 1> prepare.log
ubiattach -d 20 -p /dev/mtd20 1>> prepare.log
sleep 2
ubimkvol /dev/ubi20 -N test -m 1>> prepare.log
mkfs.ubifs /dev/ubi20_0 -v -g 3 1>> prepare.log
dmesg -c 1>> prepare.log

# try to mount ubifs
mount -t ubifs /dev/ubi20_0 /mnt 1> mount.log 2>&1
dmesg 1>> mount.log

# additional logs/dumps
nanddump -s 4210688 -l 16384 -p /dev/mtd20 1> nanddump1.log 2>&1
nanddump -s 4210688 -l 16384 -p /dev/mtd20    2>&1 | grep -v "ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff" 1> nanddump2.log 2>&1
nanddump -s 4210688 -l 16384 -p /dev/mtd20 -n 2>&1 | grep -v "ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff" 1> nanddump3.log 2>&1

sleep 5
ubidetach -d 20 1> /dev/null 2>&1
